<CsoundSynthesizer>
/* From "BT - All That Makes Us Human Continues" */

<CsInstruments>
sr = 44100
kr = 4410
ksmps = 10
nchnls = 2

instr 101


itempo = 100
kenv linseg 14000, .12, 8000, .15, 3000, .12, 1200, .11, 400, .7, 0
kenv2 linseg 15000, .11, 2000, .16, 900, .11, 500, .12, 200, .8, 0
kenv3 linseg 25000, .09, 9000, .6, 4000, 1, 0
ktone line 0, p3, 1
kbrite line 6.2, p3, 6.2
kbrite2 line 7.6, p3, 7.6
kfadefilter line 1500, p3, 25000
kfadefilter2 line 100, p3, 8000
kverbpan3 lfo 20, p3*.02
ileveloscs = p4
a1 hsboscil kenv*.18, ktone, kbrite, cpspch(p5+2.0), 2, 3, 10, -1
a2 hsboscil kenv2*.18, ktone, kbrite2, cpspch(p5+3.0), 2, 3, 10, -1
a3 oscil kenv3, cpspch(p5+3), 4
a4 oscil kenv3*0.01, cpspch(p5+1.6), 4
a5 oscil kenv3, cpspch(p5-2.4), 4
a6 oscil kenv3*.2, cpspch(p5-2.0), 4
a7 oscil kenv3*.2, cpspch(p5-1.4), 4
a5hp butterhp a5, kfadefilter2
amixhp1 butterhp a1+(a2*.1), kfadefilter+1000
amix = amixhp1*.1+a3+a5hp+a4+a6+a7
acomb comb amix, .007, .01, 4.0
al, ar babo acomb, kverbpan3, 0, 0, 8.39, 7.86, 40,
ahilinput = (amix+a3+a5hp+a4+a7) + (al*.3)
kfreq linseg cpspch(p6), p3, cpspch(p6)+.001
ahilL, ahilR hilbert ahilinput
asin oscili 1, kfreq, 5
acos oscili 1, kfreq, 5, .25
amod1 = ahilL * acos
amod2 = ahilR * asin
aupshift = (amod1 + amod2) * 0.71
adownshift = (amod1 - amod2) * 0.7
aoutL = aupshift +ar*.1
aoutR = adownshift +acomb*.3
khpline line 440, p3, 180
kpanL line 1, p3, 0
kpanR line 0, p3, 1
aoutLhp butterhp aoutL* ileveloscs, khpline
aoutRhp butterhp aoutR* ileveloscs, khpline

ilevl = .71
itap1 = 0.3
itap2 = 0.45
itap3 = 0.6
itap4 = 0.9
ifdbk1 = 0.75
ifdbk2 = 0.69
ifdbk3 = 0.71
ifdbk4 = 0.72
irate1 = 0.7
irate2 = 0.2
irate3 = 1.1
irate4 = .5
ifdbk = 0.059

atap1 init 0
atap2 init 0
atap3 init 0
atap4 init 0

ataps sum atap1, atap2, atap3, atap4
afdbk = ataps*ifdbk
afdbk1 = atap1*ifdbk1
afdbk2 = atap2*ifdbk2
afdbk3 = atap3*ifdbk3
afdbk4 = atap4*ifdbk4
apan1 oscil .5, irate1, 1
apan2 oscil .5, irate2, 1
apan3 oscil .5, irate3, 1
apan4 oscil .5, irate4, 1
kfilt1 lfo .01, irate1/4, 5
kfilt2 lfo .01, irate2/4, 5
kfilt3 oscil .5, irate3/2, 5
kfilt4 oscil .5, irate4/2, 5
apan1 = apan1 + .5
apan2 = apan2 + .5
apan3 = apan3 + .5
apan4 = apan4 + .5
atap1 delay aoutLhp + afdbk1, itap1, itap1
atap2 delay aoutLhp + afdbk2, itap2, itap2
atap3 delay aoutRhp + afdbk3, itap3, itap3
atap4 delay aoutRhp + afdbk4, itap4, itap4
atap1rf butterlp atap1, 5000*kfilt1, 200
atap2rf butterlp atap1, 2700*kfilt2, 230
al = atap1rf*sqrt(apan1) + atap2rf*sqrt(1 - apan2)
ar = atap1rf*sqrt(1 - apan1) + atap2rf*sqrt(apan2)
al = al + atap3*sqrt(apan3) + atap4*sqrt(1 - apan4)
ar = ar + atap3*sqrt(1 - apan3) + atap4*sqrt(apan4)

aoutLhpan = aoutLhp*kpanL+aoutRhp*kpanR
aoutRhpan = aoutRhp*kpanL +aoutLhp*kpanR
aoutsL = aoutLhpan + al*ilevl
aoutsR = aoutRhpan + ar*ilevl


outs aoutsL*.7, aoutsR*.7
endin

instr 102

itempo = 100
kenv linseg 14000, .12, 8000, .15, 3000, .12, 1200, .11, 400, .7, 0
kenv2 linseg 15000, .11, 2000, .16, 900, .11, 500, .12, 200, .8, 0
kenv3 linseg 25000, .09, 9000, .6, 4000, 1, 0
ileveloscs = p4
a3 oscil kenv3, cpspch(p5), 4
a4 oscil kenv3*0.01, cpspch(p5+1.7), 4
a5 oscil kenv3, cpspch(p5-2.4), 4
a6 oscil kenv3*.2, cpspch(p5-2.0), 4
a7 oscil kenv3*.2, cpspch(p5-1.5), 4
anreverb nreverb a3+a4+a5+a6+a7, 3.9, .2
adryL = a3+a4+a7
adryR = a5+a6+a7
ahilinput = adryL
kfreq1 linseg 0, p3, 1
kfreq2 linseg 0, p3, 1
ahilL, ahilR hilbert ahilinput
asin oscili 1, kfreq1, 5
acos oscili 1, kfreq2, 5, .25
amod1 = ahilL * acos
amod2 = ahilR * asin
aupshift = (amod1 + amod2) * 0.7
adownshift = (amod1 - amod2) * 0.7
aoutL = adownshift
aoutR = aupshift
khpline line 120, p3, 180
kpanL line 1, p3, 0
kpanR line 0, p3, 1
aoutLhp butterhp aoutL* ileveloscs, khpline
aoutRhp butterhp aoutR* ileveloscs, khpline
aoutLmix = adryL+(aoutLhp*.01)
aoutRmix = adryR+(aoutRhp*.01)
ilevl = .50
irate1 = 0.7
irate2 = 0.2
irate3 = 1.1
irate4 = .5
ifdbk = 0.059
apan1 oscil .5, irate1, 1
apan2 oscil .5, irate2, 1
apan3 oscil .5, irate3, 1
apan4 oscil .5, irate4, 1
apan1 = apan1 + .5
apan2 = apan2 + .5
apan3 = apan3 + .5
apan4 = apan4 + .5
iptest = p6+p7+p8+p9
if iptest == 4 kgoto outnoramp
if iptest != 4 kgoto outramp



outnoramp:

aeighth = .50
adottedeight = .75
aquart = 1.00
adottedquart = 1.50
atap1 flanger aoutLmix, aeighth, .75
atap2 flanger aoutLmix, adottedquart, .69
atap3 flanger aoutLmix, aquart, .71
atap4 flanger aoutLmix, adottedeight, .72
atap1rf butterhp atap1, 300
atap2rf butterhp atap1, 300
al = atap1rf*sqrt(apan1) + atap2rf*sqrt(1 - apan2)
ar = atap1rf*sqrt(1 - apan1) + atap2rf*sqrt(apan2)
al = al + atap3*sqrt(apan3) + atap4*sqrt(1 - apan4)
ar = ar + atap3*sqrt(1 - apan3) + atap4*sqrt(apan4)
aoutLhpan = aoutLhp*kpanL+aoutRhp*kpanR
aoutRhpan = aoutRhp*kpanL +aoutLhp*kpanR
aoutsL = aoutLhpan + al*ilevl
aoutsR = aoutRhpan + ar*ilevl
outs (aoutsL*p4)*.5, (aoutsR*p4)*.5


outramp:

adelayline linseg 1, p3/32, .5, p3/32, .25, p3/32, .125, p3/16, .0625, p3/16, .03125, p3/16, .015625, p3/16, .0078125
kdelayup downsamp adelayline
kdelayline portk kdelayup, .2
adelayup upsamp kdelayline
atap1 flanger aoutLmix, 0.50* adelayup, .89
atap2 flanger aoutLmix, 1.50* adelayup, .79
atap3 flanger aoutLmix, 1.00* adelayup, .69
atap4 flanger aoutLmix, 0.5* adelayup, .74
atap1rf butterhp atap1, 300
atap2rf butterhp atap1, 300
al = atap1rf*sqrt(apan1) + atap2rf*sqrt(1 - apan2)
ar = atap1rf*sqrt(1 - apan1) + atap2rf*sqrt(apan2)
al = al + atap3*sqrt(apan3) + atap4*sqrt(1 - apan4)
ar = ar + atap3*sqrt(1 - apan3) + atap4*sqrt(apan4)
aoutLhpan = aoutLhp*kpanL+aoutRhp*kpanR
aoutRhpan = aoutRhp*kpanL +aoutLhp*kpanR
kline linseg 0, p3/2, .4, p3/3, 1
iline = i(kline)
aoutsL = aoutLhpan + al*ilevl
aoutsR = aoutRhpan + ar*ilevl
outs ((aoutsL*p4)/2)*kline, ((aoutsR*p4)/2)*kline
endin

</CsInstruments>

<CsScore>



f1 0 32768 10 1
f2 0 4096 10 1
f3 0 1024 -19 1 0.5 270 0.5
f4 0 4096 10 1
f5 0 16384 10 1

t 0 75

#define BELLSOFLIFE #

;inst start dur vol Pitch HilbertPitch

i101 0 8 1 4.00 8.00
i101 1.25 8 .9 5.00 6.00
i101 3 8 1 4.00 6.00
i101 4.5 8 .85 4.00 7.00
i101 5 8 1 4.00 8.00
i101 7.5 8 .79 3.00 6.00
i101 8 8 .62 4.00 8.00
i101 9 8 1 4.00 8.00
i101 9.25 8 .13 3.00 6.00
i101 10.5 8 .92 5.00 6.00
i101 13 8 1 4.00 6.00
i101 14.5 8 .67 4.00 7.00
i101 15 8 1 4.00 8.00
i101 17.5 8 1.21 3.00 6.00
i101 17.75 8 .33 4.00 7.00
i101 18 8 .7 4.00 7.00
i101 19 8 .5 3.00 8.00
i101 20 8 1 4.00 3.00
i101 21.5 8 .67 4.00 12.00
i101 22 8 1 4.00 9.00
i101 22.5 8 1.21 3.00 5.00
i101 22.75 8 .33 4.00 4.00
i101 23 8 .7 4.00 6.00
i101 24 8 .5 3.00 10.00 #

#define SINE #

;inst start dur vol Pitch DelRatio1 DelRatio2 DelRatio3 DelRatio4

i102 0 8 1 4.00 1 1 1 1
i102 0 1 .3 6.07 2 2 .5 8
i102 0.5 8 .6 5.00 1 1 1 1
i102 1 8 .6 3.00 1 1 1 1
i102 1.50 8 .13 5.00 1 1 1 1
i102 2 8 .85 7.00 1 1 1 1
i102 2.5 8 .6 6.00 1 1 1 1
i102 3 4 1 6.00 .25 .50 4 2
i102 3.5 8 .6 7.00 1 1 1 1
i102 4 8 .9 4.00 1 1 1 1
i102 4.5 8 .6 5.00 1 1 1 1
i102 5 8 1 6.00 1 1 1 1
i102 5.25 8 .15 5.00 1 1 1 1
i102 5.5 8 .5 7.00 1 1 1 1
i102 6 8 1 5.00 1 1 1 1
i102 6.5 8 .4 7.00 1 1 1 1
i102 7 8 1 4.00 1 1 1 1
i102 7.5 4 .6 7.00 2 2 1 2 #



$SINE.
$BELLSOFLIFE.
b 8
$SINE.
b 16
$SINE.
b 24


e

</CsScore>

</CsoundSynthesizer>
